### Class

# Shell AppSystem

since: 14

#### Description

    final class Shell.AppSystem : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 14

#### Ancestors

- GObject

#### Functions

###### shell_app_system_get_default

No description available.

since: 14

###### shell_app_system_search

Wrapper around `g_desktop_app_info_search()` that replaces results that don’t validate as UTF-8 with the empty string.

since: 14

#### Instance methods

###### shell_app_system_get_installed

Returns all installed apps, as a list of `GAppInfo`.

since: 14

###### shell_app_system_get_running

Returns the set of applications which currently have at least one open window. The returned list will be sorted by shell_app_compare().

since: 14

###### shell_app_system_lookup_app

Find a `ShellApp` corresponding to an id.

since: 14

###### shell_app_system_lookup_desktop_wmclass

Find a valid application whose .desktop file, without the extension and properly canonicalized, matches `wmclass`.

since: 14

###### shell_app_system_lookup_heuristic_basename

Find a valid application corresponding to a given heuristically determined application identifier string, or `NULL` if none.

since: 14

###### shell_app_system_lookup_startup_wmclass

Find a valid application whose .desktop file contains a StartupWMClass entry matching `wmclass`.

since: 14

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### Shell.AppSystem::app-state-changed

No description available.

since: 14

###### Shell.AppSystem::installed-changed

No description available.

since: 14

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct ShellAppSystemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.